Last modified: 2013-11-18 04:36:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 47935 - Message not properly parsed: Link is not a link, improper markup
Message not properly parsed: Link is not a link, improper markup
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-05-01 15:17 UTC by Rainer Rillke @commons.wikimedia
Modified: 2013-11-18 04:36 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot of UploadWizard FF 20.0 showing red error message that has an error in it (19.07 KB, image/png)
2013-08-10 08:38 UTC, Rainer Rillke @commons.wikimedia
Details

Description Rainer Rillke @commons.wikimedia 2013-05-01 15:17:41 UTC
Message not properly parsed. I get the following result in UI:
----
Es gibt im Wiki bereits eine [/wiki/File:Arvicola_terrestris.JPG andere Datei] gleichen Namens.
----


Exptected behavior: clickable "File:Arvicola_terrestris.JPG" (linking to the file) not the raw output.

Will lookup message soon.
Comment 1 Rainer Rillke @commons.wikimedia 2013-05-01 15:24:10 UTC
Message appears in UpWiz (de interface lang) when entering a title which already exists. Message is https://translatewiki.net/wiki/MediaWiki:Mwe-upwiz-api-warning-exists/de
Comment 2 Nischay Nahata 2013-05-01 18:15:34 UTC
Just tested on my local wiki using UW master and seems fine. Where are you seeing this? what version of MW and UW?
Comment 3 Rainer Rillke @commons.wikimedia 2013-05-01 21:42:54 UTC
(In reply to comment #2)
> what version of MW and UW?
Live version @Commons. Directly before writing this.

Important: You have to press submit/publish (the last step). It tried to publish the file (the throbber appeared) but then found that there was a file with that name already, if I remember correctly.
Comment 5 Rainer Rillke @commons.wikimedia 2013-08-03 01:16:43 UTC
>>> mw.msg( 'mwe-upwiz-api-warning-exists', 'abc' )
"There is [abc another file] already on the wiki with the same filename"


>>> mw.message( 'mwe-upwiz-api-warning-exists', 'abc' ).parse()
"There is <a href="abc">another file</a> already on the wiki with the same filename"
Comment 6 Rainer Rillke @commons.wikimedia 2013-08-03 02:07:01 UTC
https://github.com/wikimedia/mediawiki-extensions-UploadWizard/pull/11
Comment 7 Gerrit Notification Bot 2013-08-03 08:27:51 UTC
Change 77491 had a related patch set uploaded by Rillke:
Messages with links in it must be parsed

https://gerrit.wikimedia.org/r/77491
Comment 8 Rainer Rillke @commons.wikimedia 2013-08-10 08:38:58 UTC
Created attachment 13083 [details]
Screenshot of UploadWizard FF 20.0 showing red error message that has an error in it

How to reproduce:
* Upload An_image.jpg
* Try uploading An_image.png with UploadWizard

(Just another extension)
Comment 9 Rainer Rillke @commons.wikimedia 2013-08-10 08:58:50 UTC
As for the wrong file in the exists-normalized warning, this is now Bug 52699

Incredible how many errors such a “simple” feature can have ...
Comment 10 Gerrit Notification Bot 2013-11-15 22:39:48 UTC
Change 77491 merged by jenkins-bot:
Messages with links in it must be parsed

https://gerrit.wikimedia.org/r/77491
Comment 11 Mark Holmquist 2013-11-15 22:59:27 UTC
I believe the commit fixed this.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links